/***********************************
* Realisaties slider
***********************************/
.bb-realisaties-slider {
    --rs-gap:clamp(40px, calc(9.61vw - 78px), 60px);
    --rs-width:33.33%;
}
/* Heading */
.bb-realisaties-slider__title {max-width:calc(100% - 350px); padding-right:var(--bb-gap-container);}
.bb-realisaties-slider__button-nav {gap:25px;}

/* No heading */
.bb-realisaties-slider.no-content .bb-realisaties-slider__header {justify-content:flex-end;}

/* Nav */
.bb-realisaties-slider__nav {gap:25px;}
.bb-realisaties-slider__nav .flickity-button {
    --flkt-bg:rgba(0, 0, 0, 0);
    font-size:0; border:2px solid var(--bb-color-primary);
}

/* Slider */
.bb-realisaties-slider__wrapper {padding:0 var(--bb-gap-side);}
.bb-realisaties-slider__items {margin:0 calc(-1 * var(--rs-gap) / 2);}
.bb-realisaties-slider .bb-realisaties-item {
    width:var(--rs-width); padding:0 calc(var(--rs-gap) / 2);
}

/* Avoid CLS */
.bb-realisaties-slider__items:not(.flickity-enabled) > *:not(:first-child) {display:none;}

/* Layout fullwidth */
.bb-realisaties-slider.layout-full-width .bb-realisaties-slider__wrapper {padding:0;}
.bb-realisaties-slider.layout-full-width .bb-realisaties-slider__header {--bb-spacing-45:var(--bb-spacing-60);}
@media only screen and (min-width:1561px) {
    .bb-realisaties-slider.layout-full-width {
        --rs-gap:clamp(var(--bb-gap-container), calc(11vw - 93px), 66px);
        --rs-width:calc((1288px + var(--rs-gap)) / 3);
    }
}

/***********************************
* Realisaties slider - Responsive
***********************************/
@media only screen and (max-width:1560px) {
    /* Layout full width */
    .bb-realisaties-slider.layout-full-width {--rs-width:calc((var(--bb-container) + var(--rs-gap)) / 3);}
}
@media only screen and (max-width:1180px) {
    /* Layout full width */
    .bb-realisaties-slider.layout-full-width {--rs-width:30%;}
}
@media only screen and (max-width:920px) {
    .bb-realisaties-slider {--rs-width:50%;}

    /* Layout full width */
    .bb-realisaties-slider.layout-full-width {--rs-width:40%;}
}
@media only screen and (max-width:768px) {
    .bb-realisaties-slider, .bb-realisaties-slider.layout-full-width {--rs-width:40%;}
    .bb-realisaties-slider {padding-bottom:calc(60px + var(--bb-spacing-45)); position:relative;}

    /* nav */
    .bb-realisaties-slider__button-nav {
        --bb-spacing-45:0px;
        position:absolute; bottom:0; left:0; right:0; justify-content:center;
    }
    .bb-realisaties-slider__nav .flickity-button {--flkt-btn-size:60px;}

    /* Heading */
    .bb-realisaties-slider__title {max-width:100%; width:100%; padding-right:0; text-align:center; }

    /* Button */
    .bb-realisaties-slider__button a {min-height:60px;}

    /* Slider */
    .bb-realisaties-slider__wrapper {padding:0;}
    .bb-realisaties-slider:not(.slider-loop):not(.layout-full-width) .bb-realisaties-item:first-child,
    .bb-realisaties-slider:not(.slider-loop):not(.layout-full-width) .bb-realisaties-item:last-child {
        width:calc(var(--rs-width) + var(--bb-gap-side));
    }
    .bb-realisaties-slider:not(.slider-loop):not(.layout-full-width) .bb-realisaties-item:first-child {
        padding-left:calc(var(--bb-gap-side) + var(--rs-gap) / 2);
    }
    .bb-realisaties-slider:not(.slider-loop):not(.layout-full-width) .bb-realisaties-item:last-child {
        padding-right:calc(var(--bb-gap-side) + var(--rs-gap) / 2);
    }
}
@media only screen and (max-width:480px) {
    .bb-realisaties-slider, .bb-realisaties-slider.layout-full-width {--rs-width:calc(270px + var(--rs-gap));}
}
@media only screen and (max-width:400px) {
    /* nav */
    .bb-realisaties-slider__button-nav, .bb-realisaties-slider__nav {gap:20px;}
}